---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    Fetch a Supabase-backed v1 offline-test dataset and… Reference for the GET
    /v1/projects/{projectId}/datasets/{datasetIdentifier} endpoint in the
    Judgeval API.
sidebar:
  label: Fetch offline-test dataset
  badge: GET
title: Fetch offline-test dataset
type: openapi-operation
---
Fetch a Supabase-backed v1 offline-test dataset and its examples by dataset id or name.

`GET /v1/projects/{projectId}/datasets/{datasetIdentifier}`

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404

Response example, 200:

```json
{
  "dataset_id": "string",
  "organization_id": "string",
  "project_id": "string",
  "name": "string",
  "schema": {},
  "current_version": 0,
  "created_at": "string",
  "updated_at": "string",
  "creator_id": "string",
  "entries": 0,
  "test_config_count": 0,
  "dataset_kind": "example",
  "examples": [
    {
      "example_id": "string",
      "organization_id": "string",
      "project_id": "string",
      "data": {},
      "metadata": {},
      "managed_metadata": {},
      "created_at": "string",
      "user_id": "string"
    }
  ]
}
```
